Create a credit card recurrent split payment
Add the
RecurrentPaymentnode to thePaymentnode to schedule future recurrences when authorizing a transaction for the first time in the series of recurrences.Parameters
Payment.RecurrentPayment.IntervalandPayment.RecurrentPayment.DailyInterval, marked with an “*” in the “REQUIRED” column, should not be used together.
Card brand identifiers: in scheduled recurrence, the
IssuerTransactionIdandTransactionLinkIdfields are sent automatically in subsequent transactions. In sandbox, these fields are only returned with theSimuladoprovider and an authorized transaction scenario. See more details in Card Brand Identifiers.
Request
post https://apisandbox.cieloecommerce.cielo.com.br/1/sales
{
"MerchantOrderId": "2014113245231706",
"Customer": {
"Name": "Comprador rec programada"
},
"Payment": {
"Type": "SplittedCreditCard",
"Amount": 1500,
"Installments": 1,
"SoftDescriptor": "123456789ABCD",
"RecurrentPayment": {
"AuthorizeNow": "false",
"EndDate": "2019-12-01",
"Interval": "SemiAnnual",
"StartDate": "2015-06-01"
},
"CreditCard": {
"CardNumber": "1234123412341231",
"Holder": "Teste Holder",
"ExpirationDate": "12/2030",
"SecurityCode": "262",
"SaveCard": "false",
"Brand": "Visa"
}
},
"splitpayments":[
{
"SubordinateMerchantId":"f2d6eb34-2c6b-4948-8fff-51facdd2a28f",
"Amount":5000,
"Fares":{
"Mdr":5,
"Fee":30
}
},
{
"SubordinateMerchantId":"9140ca78-3955-44a5-bd44-793370afef94",
"Amount":5000,
"Fares":{
"Mdr":4,
"Fee":15
}
}
]
}| Property | Description | Type | Size | Required |
|---|---|---|---|---|
RecurrentPaymentId | Recurrence identification number. | Text | 50 | Yes |
Payment.RecurrentPayment.Interval | Recurrence interval. Monthly (default) / Bimonthly / Quarterly / SemiAnnual / Annual | Text | 10 | No* |
Payment.RecurrentPayment.DailyInterval | Recurrence pattern in days. | Intenger | 2 | No* |
Payment.RecurrentPayment.AuthorizeNow | "true" - authorizes at the time of the request. "false" - for future scheduling. | Boolean | Yes | |
Customer.Name | Shopper's name. | Text | 255 | No |
Customer.Status | Shopper registration status in store (NEW / EXISTING) - Used by fraud analysis | Text | 255 | No |
Customer.Email | Shopper's e-mail. | Text | 255 | No |
Customer.Birthdate | Shopper's date of birth (AAAA/MM/DD). | Date | 10 | No |
Customer.Identity | Shopper's CPF or CNPJ number. Allows submission of alphanumeric CNPJs. | Text | 14 | No |
Customer.Address.Street | Shopper's address. | Text | 255 | No |
Customer.Address.Number | Shopper's address number. | Text | 15 | No |
Customer.Address.Complement | Shopper's address complement. | Text | 50 | No |
Customer.Address.ZipCode | Shopper's address zip code. | Text | 9 | No |
Customer.Address.City | Shopper's address city. | Text | 50 | No |
Customer.Address.State | Shopper's address state. | Text | 2 | No |
Customer.Address.Country | Shopper's address country. | Text | 35 | No |
Customer.Address.District | Shopper's neighborhood. | Text | 50 | No |
Customer.DeliveryAddress.Street | Shopper's address. | Text | 255 | No |
Customer.DeliveryAddress.Number | Shopper's address number. | Text | 15 | No |
Customer.DeliveryAddress.Complement | Shopper's address complement. | Text | 50 | No |
Customer.DeliveryAddress.ZipCode | Shopper's address zip code. | Text | 9 | No |
Customer.DeliveryAddress.City | Shopper's address city. | Text | 50 | No |
Customer.DeliveryAddress.State | Shopper's address state. | Text | 2 | No |
Customer.DeliveryAddress.Country | Shopper's address country. | Text | 35 | No |
Customer.DeliveryAddress.District | Shopper's neighborhood. | Text | 50 | No |
SplitPayments.SubordinateMerchantId | Subordinate MerchantId (Identifier). | Guid | 36 | Yes |
SplitPayments.Amount | Subordinate’s part of transaction, in cents (BRL). | Integer | Yes | |
SplitPayments.Fares.Mdr | Marketplace MDR(%) to be discounted from Subordinate’s part of transaction. | Decimal | No | |
SplitPayments.Fares.Fee | Fixed Fee (BRL), in cents, to be discounted from Subordinate’s part of transaction. | Integer | No |
Response
{
"MerchantOrderId": "2014113245231706",
"Customer": {
"Name": "Comprador rec programada"
},
"Payment": {
"ServiceTaxAmount": 0,
"Installments": 1,
"Interest": "ByMerchant",
"Capture": false,
"Authenticate": false,
"Recurrent": false,
"CreditCard": {
"CardNumber": "123412******1231",
"Holder": "Teste Holder",
"ExpirationDate": "12/2030",
"SaveCard": false,
"Brand": "Visa"
},
"SoftDescriptor": "123456789ABCD",
"Type": "SplittedCreditCard",
"Amount": 1500,
"Currency": "BRL",
"Country": "BRA",
"ExtraDataCollection": [],
"Status": 20,
"RecurrentPayment": {
"RecurrentPaymentId": "0d2ff85e-594c-47b9-ad27-bb645a103db4",
"NextRecurrency": "2015-06-01",
"StartDate": "2015-06-01",
"EndDate": "2019-12-01",
"Interval": "SemiAnnual",
"Link": {
"Method": "GET",
"Rel": "recurrentPayment",
"Href": "https://apiquerysandbox.cieloecommerce.cielo.com.br/1/RecurrentPayment/{PaymentId}"
},
"AuthorizeNow": false
}
},
"SplitPayments": [
{
"SubordinateMerchantId": "f2d6eb34-2c6b-4948-8fff-51facdd2a28f",
"Amount": 6000,
"Fares": {
"Mdr": 5.0,
"Fee": 30
},
"Splits": [
{
"MerchantId": "f2d6eb34-2c6b-4948-8fff-51facdd2a28f",
"Amount": 5670
},
{
"MerchantId": "f43fca07-48ec-46b5-8b93-ce79b75a8f63",
"Amount": 330
}
]
},
{
"SubordinateMerchantId": "f2d6eb34-2c6b-4948-8fff-51facdd2a28f",
"Amount": 4000,
"Fares": {
"Mdr": 4.0,
"Fee": 15
},
"Splits": [
{
"MerchantId": "9140ca78-3955-44a5-bd44-793370afef94",
"Amount": 3825
},
{
"MerchantId": "f43fca07-48ec-46b5-8b93-ce79b75a8f63",
"Amount": 175
}
]
}
]
}| Property | Description | Type | Size | Format |
|---|---|---|---|---|
RecurrentPaymentId | Next recurrence Identifier field. | Guid | 36 | xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx |
NextRecurrency | Date of next recurrence. | Text | 7 | 12/2030 (MM/YYYY) |
StartDate | Start date of recurrence. | Text | 7 | 12/2030 (MM/YYYY) |
EndDate | End date of recurrence. | Text | 7 | 12/2030 (MM/YYYY) |
Interval | Interval between recurrences. | Text | 10 |
|
AuthorizeNow | Boolean to know if the first recurrence is about to be Authorized or not. | Boolean | *** | true ou false |
Payment.IssuerTransactionId | Transaction identifier generated by the card brand and returned in the response of the CIT transaction. Store the value to send it in subsequent MIT transactions: sending is mandatory, for all card brands, in recurring, incremental, and reauthorized transactions. See more details in Card Brand Identifiers. | Text | 30 | -- |
Payment.TransactionLinkId | Unique identifier (TLID) generated by Mastercard and returned in the response, used to link the CIT transaction to subsequent MIT transactions. For Mastercard, send the original TransactionLinkId together with the IssuerTransactionId: both are mandatory, and sending the TransactionLinkId is mandatory starting October 23, 2026. See more details in Card Brand Identifiers.Format: 22 alphanumeric characters (A–Z, a–z), case-sensitive, and may include hyphens (-) and underscores (_). | Text | 22 | -- |
Payment.SentTransactionLinkId | TLID that the merchant sent in the request and that Cielo forwarded to the card brand. The field only appears when Cielo sent the TLID. See more details in Card Brand Identifiers. | Text | 22 | -- |